API Reference
API Request Domain
http://<ip_address_OR_Domain>/
Bitstreams Manager connects, views, and controls Bitstreams instances from central interface.
Bitstreams instances controlled by the manager receive supported API via proxy.
Example to replace a direct API path with the proxy path via manager:
/api/v3/template
http://<Bitstreams-Manager>/api/v3/template?bitstreamsName=<server_name from enroll/setup struct>
API Definitions
The API Definitions are available for download in JSON formats, or they can be viewed online in the API Definitions.
Prerequisites
When requesting an API, you need to use the Basic Auth authentication which contains a token_id and token_secret in base64 format,
Obtain the Token ID and Secret
An Token ID and Secret are generated from the Access Tokens page.
Authentication Method
Authentication Method: Basic Auth
Create base64
The base64 can be created using an linux command line environment and the base64 command.
NOTE: There is a : (colon) between the Token ID and Token Secret
echo -n <token_id>:<token_secret> | base64
API Syntax Example
The following example will return a list of streams
curl -LH 'Authorization: Basic <base64_string>' http://<Domain_Address>/api/v3/streams